<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd"
         version="1.8.11">
    <compounddef id="_main_window_8h" kind="file" language="C++">
        <compoundname>MainWindow.h</compoundname>
        <includes local="no">QMainWindow</includes>
        <includedby refid="_gui_8h" local="yes">gui/Gui/Gui.h</includedby>
        <includedby refid="_mainwindow_8cpp" local="yes">gui/MainWindow/Mainwindow.cpp</includedby>
        <incdepgraph>
            <node id="184">
                <label>QMainWindow</label>
            </node>
            <node id="183">
                <label>gui/MainWindow/MainWindow.h</label>
                <link refid="MainWindow.h"/>
                <childnode refid="184" relation="include">
                </childnode>
            </node>
        </incdepgraph>
        <invincdepgraph>
            <node id="187">
                <label>app/App/App.h</label>
                <link refid="_app_8h_source"/>
            </node>
            <node id="186">
                <label>gui/Gui/Gui.h</label>
                <link refid="_gui_8h_source"/>
                <childnode refid="187" relation="include">
                </childnode>
            </node>
            <node id="185">
                <label>gui/MainWindow/MainWindow.h</label>
                <link refid="MainWindow.h"/>
                <childnode refid="186" relation="include">
                </childnode>
            </node>
        </invincdepgraph>
        <innerclass refid="class_main_window" prot="public">MainWindow</innerclass>
        <innernamespace refid="namespace_ui">Ui</innernamespace>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <programlisting>
            <codeline lineno="1"></codeline>
            <codeline lineno="18">
                <highlight class="preprocessor">#ifndef<sp/>MAINWINDOW_H
                </highlight>
                <highlight class="normal"></highlight>
            </codeline>
            <codeline lineno="19">
                <highlight class="normal"></highlight>
                <highlight class="preprocessor">#define<sp/>MAINWINDOW_H
                </highlight>
                <highlight class="normal"></highlight>
            </codeline>
            <codeline lineno="20">
                <highlight class="normal"></highlight>
            </codeline>
            <codeline lineno="21">
                <highlight class="normal"></highlight>
                <highlight class="preprocessor">#include<sp/>&lt;QMainWindow&gt;
                </highlight>
                <highlight class="normal"></highlight>
            </codeline>
            <codeline lineno="22">
                <highlight class="normal"></highlight>
            </codeline>
            <codeline lineno="23" refid="namespace_ui" refkind="compound">
                <highlight class="normal"></highlight>
                <highlight class="keyword">namespace
                    <sp/>
                </highlight>
                <highlight class="normal">
                    <ref refid="namespace_ui" kindref="compound">Ui</ref>
                    <sp/>{
                </highlight>
            </codeline>
            <codeline lineno="24">
                <highlight class="normal">
                    <sp/>
                    <sp/>
                    <sp/>
                    <sp/>
                </highlight>
                <highlight class="keyword">class
                    <sp/>
                </highlight>
                <highlight class="normal"><ref refid="class_main_window" kindref="compound">MainWindow</ref>;
                </highlight>
            </codeline>
            <codeline lineno="25">
                <highlight class="normal">}</highlight>
            </codeline>
            <codeline lineno="26">
                <highlight class="normal"></highlight>
            </codeline>
            <codeline lineno="27" refid="class_main_window" refkind="compound">
                <highlight class="normal"></highlight>
                <highlight class="keyword">class
                    <sp/>
                </highlight>
                <highlight class="normal">
                    <ref refid="class_main_window" kindref="compound">MainWindow</ref>
                    <sp/>:
                    <sp/>
                </highlight>
                <highlight class="keyword">public</highlight>
                <highlight class="normal"><sp/>QMainWindow
                </highlight>
            </codeline>
            <codeline lineno="28">
                <highlight class="normal">{</highlight>
            </codeline>
            <codeline lineno="29">
                <highlight class="normal">
                    <sp/>
                    <sp/>
                    <sp/>
                    <sp/>Q_OBJECT
                </highlight>
            </codeline>
            <codeline lineno="30">
                <highlight class="normal"></highlight>
            </codeline>
            <codeline lineno="31">
                <highlight class="normal"></highlight>
                <highlight class="keyword">public</highlight>
                <highlight class="normal">:</highlight>
            </codeline>
            <codeline lineno="37">
                <highlight class="normal">
                    <sp/>
                    <sp/>
                    <sp/>
                    <sp/>
                </highlight>
                <highlight class="keyword">explicit</highlight>
                <highlight class="normal">
                    <sp/>
                    <ref refid="class_main_window" kindref="compound">MainWindow</ref>(QWidget<sp/>*parent<sp/>=<sp/>0);
                </highlight>
            </codeline>
            <codeline lineno="38">
                <highlight class="normal"></highlight>
            </codeline>
            <codeline lineno="42">
                <highlight class="normal">
                    <sp/>
                    <sp/>
                    <sp/>
                    <sp/>~<ref refid="class_main_window" kindref="compound">MainWindow</ref>();
                </highlight>
            </codeline>
            <codeline lineno="43">
                <highlight class="normal"></highlight>
            </codeline>
            <codeline lineno="44">
                <highlight class="normal"></highlight>
                <highlight class="keyword">private</highlight>
                <highlight class="normal">:</highlight>
            </codeline>
            <codeline lineno="45">
                <highlight class="normal">
                    <sp/>
                    <sp/>
                    <sp/>
                    <sp/>Ui::MainWindow<sp/>*ui;
                </highlight>
            </codeline>
            <codeline lineno="46">
                <highlight class="normal">};</highlight>
            </codeline>
            <codeline lineno="47">
                <highlight class="normal"></highlight>
            </codeline>
            <codeline lineno="48">
                <highlight class="normal"></highlight>
                <highlight class="preprocessor">#endif<sp/>//<sp/>MAINWINDOW_H
                </highlight>
            </codeline>
        </programlisting>
        <location file="gui/MainWindow/MainWindow.h"/>
    </compounddef>
</doxygen>
